Bug Hunting Session
Bug 33245 - PRINTING - Print driver dialog does not remember previous settings
Summary: PRINTING - Print driver dialog does not remember previous settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 33861 36591 37064 (view as bug list)
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2011-01-18 08:05 UTC by Daniel Passos
Modified: 2019-05-14 02:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Passos 2011-01-18 08:05:21 UTC
Problems when printing A6 pages in LibreOffice. (Now better described).

We have a problem with A6 pages in LibreOffice 3.3.0. This was working before, in 3.2 (OpenOffice)
We found the same problem in Windows XP (sp3) and Windows 7.
We found the same problem using HP printer (LaserJet 4250n) and Kyocera printers (FS-1320D and also FS-3900).

Description (the way that we always did with OOo 3.2): in order to print A6 pages properly, it is necessary to follow the steps:
1) To set manually in "Format → Page" the A6 width and height, since LibreOffice doesn´t give us this options (10,5cm X 14,8cm)
2) Configure the printer to print it in the right size:
	HP: configure, in the print settings, the "paper size" (A6) and also the "resizing" (print document on A6)
	Kyocera: configure the "print size" (A6) and also the "page size" (A6)

The problem is on the second step: after configuring the "resizing" (HP) or the "page size" (Kyocera), if you click in "Ok" and then go back to these properties, you will see that all the settings are back to A4 (Kyocera) or Letter (HP), and will not print the document in A6!
Comment 1 Jaap Stolk 2011-05-24 04:20:52 UTC
*** Bug 36591 has been marked as a duplicate of this bug. ***
Comment 2 Jaap Stolk 2011-05-24 04:29:21 UTC
*** Bug 33861 has been marked as a duplicate of this bug. ***
Comment 3 Jaap Stolk 2011-05-24 04:31:09 UTC
*** Bug 37064 has been marked as a duplicate of this bug. ***
Comment 4 Jaap Stolk 2011-05-24 04:35:59 UTC
I have a similar problem with landscape/portrait selection.

I found 4 bug reports (33245,33861,36591,37064) witch all seem to be a result of the printer-dialogue loosing it's settings, So I marked the last 3 as duplicates of this one, and changed the summary to the clearest one.

Also, my problem seems to be fixed in the current Beta release (LibreOffice 3.4.0 DEV300m103 (Build:5) Windows XP 32-bit), so please check if this is still a problem in the latest beta release.
Comment 5 Jaap Stolk 2011-05-24 05:10:53 UTC
My particular problem is that I'm printing in A3 landscape, while the windows defaults for that printer where A4 portrait, and if I change the settings to A3 landscape in the print dialog, the sheet is printed on A3, in landscape, but 1/3 of A3 page remains empty, as if only the portrait part is printed. (while the print-preview shows the whole page)

The workarounds provided by Oblong also work for me:
- Changing the windows printer settings (make a separate windows printer if multiple settings are needed)
- Changing the printer settings in LibreOffice -> File -> Print settings.

And (at least for me) this seams to be fixed in the LibreOffice 3.4.0 Beta.
Comment 6 bellgardt 2011-05-25 00:50:35 UTC
(In reply to comment #5)
> And (at least for me) this seams to be fixed in the LibreOffice 3.4.0 Beta.

I am not sure whether that page setting stuff is really the same as loosing other print dialog settings as reported in bug 37064. I tried LO3.4RC1 and those problems still exist. The only difference is that now the printer model is remembered. All other settings in the printer dialog tabs are not stored.
Comment 7 Björn Michaelsen 2011-12-23 11:45:37 UTC Comment hidden (obsolete)
Comment 8 Daniel Passos 2012-01-13 01:57:10 UTC
I have tryied also in LO 3.5 Beta 2. The problem remains.

When using "Micrisoft XPS Document Viewer" to save the document, it creates a very nice A6 page. But when using real printers, it cannot print pure A6. It always prints in a A4 page.
Comment 9 jorortega 2012-02-11 12:09:13 UTC
No matter what page you select in LO (Letter, 11x13, 11x14), always prints in A4, screewing the printing.

System: Windows 7 X64
Printer: Epson Stylus CX4700
LO: 3.4.5 Final
Comment 10 bellgardt 2012-03-14 09:33:45 UTC
Those problems reported in bug 33245 still exist in LO3.5.1.2. For example in Impress you select "Handout" on the first tab and "Hidden pages" in the second tab for a printout. For the next printout those setting are lost.
Comment 11 Daniel Passos 2012-04-10 01:33:45 UTC
This bug still exists in LO 3.5.2

I´m using Windows 7 and Kyocera printers (FS-1320D and also FS-3900).

If I set the page size (in LO) to A4, the printer will print automatically A4. If I set the page size to A5, the printer prints A5, very nicely. But with A6 there is no way of making the printer understand that I really want to print a 10,5cm X 14,8cm paper.

I have created, manually, a new paper size for tests: 10,45cm X 14,8cm (just a little bit smaller than A6) and it works. So what is wrong with the standard A6 size? Why the printer driver doesn´t accept the A6-size coming from LibreOffice?
Comment 12 Kevin Sweeney 2013-01-18 08:42:57 UTC
Problems still affects LibreOffice 3.6.3 Release

Using Windows XP SP3 with Kyocera KM-2050 & HP LaserJet 2420DN network printers

The page is set to A6 in LibreOffice Writer. The page size is set to A6 and paper tray MP tray set in Printer options. The Kyocera reverts to A4 and the First paper tray when printing (Instead of the MP Tray). The HP will pull from the MP tray but treats it as if it is A4 paper (causing the print to be out of alignment).
Comment 13 marleenmaes 2013-07-20 21:44:27 UTC
I have a document with page format A5, a brother printer with A5 in tray 1 and A4 in tray 2, and an epson dot-matrix printer with special size chain paper.

I used to be able to save the doc with printer set to brother, but since upgrade to Apache Openoffice 3.4.1 each time the document is opened it switches to the epson printer. Tried Libreoffice and it behaves the same. This document is used as a form, so is opened many times per day to print a newly filled-out form. Having to manually reset the printer choice each time is a nightmare. Extra -> options -> load/save shows "load doc with print settings" active.

My other programs are capable of remebering a printer name, so I'm a bit puzzled how something this basic can get broken... If somebody knows since when this bug was introduced I'd be interested, perhaps I can still revert to the old working version (which I did not record before the update was installed)
Comment 14 Bryant 2014-11-04 05:51:53 UTC
I have this problem as well on the latest released version, 4.3.3.2. I've been trying to print out slides, 6 to a page in landscape mode, but when setting the print dialog to landscape, the print dialog commonly forgets that I've changed it. I haven't been able to get it to print in portrait mode, but I'm unsure if that has to do with this bug or if it would be a separate one.
Comment 15 QA Administrators 2015-12-20 16:14:11 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2019-05-14 02:58:49 UTC
Dear Daniel Passos,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug